@media (prefers-color-scheme: dark) {
	#tt-body-page .fc {
		color-scheme: dark;
		--color-prettylights-syntax-comment: #8b949e;
		--color-prettylights-syntax-constant: #79c0ff;
		--color-prettylights-syntax-entity: #d2a8ff;
		--color-prettylights-syntax-storage-modifier-import: #c9d1d9;
		--color-prettylights-syntax-entity-tag: #7ee787;
		--color-prettylights-syntax-keyword: #ff7b72;
		--color-prettylights-syntax-string: #a5d6ff;
		--color-prettylights-syntax-variable: #ffa657;
		--color-prettylights-syntax-brackethighlighter-unmatched: #f85149;
		--color-prettylights-syntax-invalid-illegal-text: #f0f6fc;
		--color-prettylights-syntax-invalid-illegal-bg: #8e1519;
		--color-prettylights-syntax-carriage-return-text: #f0f6fc;
		--color-prettylights-syntax-carriage-return-bg: #b62324;
		--color-prettylights-syntax-string-regexp: #7ee787;
		--color-prettylights-syntax-markup-list: #f2cc60;
		--color-prettylights-syntax-markup-heading: #1f6feb;
		--color-prettylights-syntax-markup-italic: #c9d1d9;
		--color-prettylights-syntax-markup-bold: #c9d1d9;
		--color-prettylights-syntax-markup-deleted-text: #ffdcd7;
		--color-prettylights-syntax-markup-deleted-bg: #67060c;
		--color-prettylights-syntax-markup-inserted-text: #aff5b4;
		--color-prettylights-syntax-markup-inserted-bg: #033a16;
		--color-prettylights-syntax-markup-changed-text: #ffdfb6;
		--color-prettylights-syntax-markup-changed-bg: #5a1e02;
		--color-prettylights-syntax-markup-ignored-text: #c9d1d9;
		--color-prettylights-syntax-markup-ignored-bg: #1158c7;
		--color-prettylights-syntax-meta-diff-range: #d2a8ff;
		--color-prettylights-syntax-brackethighlighter-angle: #8b949e;
		--color-prettylights-syntax-sublimelinter-gutter-mark: #484f58;
		--color-prettylights-syntax-constant-other-reference-link: #a5d6ff;
		--color-fg-default: #c9d1d9;
		--color-fg-muted: #8b949e;
		--color-fg-subtle: #484f58;
		--color-canvas-default: #0d1117;
		--color-canvas-subtle: #161b22;
		--color-border-default: #30363d;
		--color-border-muted: #21262d;
		--color-neutral-muted: rgba(110, 118, 129, 0.4);
		--color-accent-fg: #58a6ff;
		--color-accent-emphasis: #1f6feb;
		--color-attention-subtle: rgba(187, 128, 9, 0.15);
		--color-danger-fg: #f85149;
	}
}

@media (prefers-color-scheme: light) {
	#tt-body-page .fc {
		color-scheme: light;
		--color-prettylights-syntax-comment: #6e7781;
		--color-prettylights-syntax-constant: #0550ae;
		--color-prettylights-syntax-entity: #8250df;
		--color-prettylights-syntax-storage-modifier-import: #24292f;
		--color-prettylights-syntax-entity-tag: #116329;
		--color-prettylights-syntax-keyword: #cf222e;
		--color-prettylights-syntax-string: #0a3069;
		--color-prettylights-syntax-variable: #953800;
		--color-prettylights-syntax-brackethighlighter-unmatched: #82071e;
		--color-prettylights-syntax-invalid-illegal-text: #f6f8fa;
		--color-prettylights-syntax-invalid-illegal-bg: #82071e;
		--color-prettylights-syntax-carriage-return-text: #f6f8fa;
		--color-prettylights-syntax-carriage-return-bg: #cf222e;
		--color-prettylights-syntax-string-regexp: #116329;
		--color-prettylights-syntax-markup-list: #3b2300;
		--color-prettylights-syntax-markup-heading: #0550ae;
		--color-prettylights-syntax-markup-italic: #24292f;
		--color-prettylights-syntax-markup-bold: #24292f;
		--color-prettylights-syntax-markup-deleted-text: #82071e;
		--color-prettylights-syntax-markup-deleted-bg: #FFEBE9;
		--color-prettylights-syntax-markup-inserted-text: #116329;
		--color-prettylights-syntax-markup-inserted-bg: #dafbe1;
		--color-prettylights-syntax-markup-changed-text: #953800;
		--color-prettylights-syntax-markup-changed-bg: #ffd8b5;
		--color-prettylights-syntax-markup-ignored-text: #eaeef2;
		--color-prettylights-syntax-markup-ignored-bg: #0550ae;
		--color-prettylights-syntax-meta-diff-range: #8250df;
		--color-prettylights-syntax-brackethighlighter-angle: #57606a;
		--color-prettylights-syntax-sublimelinter-gutter-mark: #8c959f;
		--color-prettylights-syntax-constant-other-reference-link: #0a3069;
		--color-fg-default: #24292f;
		--color-fg-muted: #57606a;
		--color-fg-subtle: #6e7781;
		--color-canvas-default: #ffffff;
		--color-canvas-subtle: #f6f8fa;
		--color-border-default: #d0d7de;
		--color-border-muted: hsla(210, 18%, 87%, 1);
		--color-neutral-muted: rgba(175, 184, 193, 0.2);
		--color-accent-fg: #0969da;
		--color-accent-emphasis: #0969da;
		--color-attention-subtle: #fff8c5;
		--color-danger-fg: #cf222e;
	}
}

#tt-body-page .fc {
	-ms-text-size-adjust: 100%;
	-webkit-text-size-adjust: 100%;
	color: var(--color-fg-default);
	background-color: var(--color-canvas-default);
	/* font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Helvetica, Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji"; */
	font-size: 16px;
	line-height: 1.5;
	word-wrap: break-word;
}

#tt-body-page .fc .octicon {
	display: inline-block;
	fill: currentColor;
	vertical-align: text-bottom;
}

#tt-body-page .fc h1:hover .anchor .octicon-link:before,
#tt-body-page .fc h2:hover .anchor .octicon-link:before,
#tt-body-page .fc h3:hover .anchor .octicon-link:before,
#tt-body-page .fc h4:hover .anchor .octicon-link:before,
#tt-body-page .fc h5:hover .anchor .octicon-link:before,
#tt-body-page .fc h6:hover .anchor .octicon-link:before {
	width: 16px;
	height: 16px;
	content: ' ';
	display: inline-block;
	background-color: currentColor;
	-webkit-mask-image: url("data:image/svg+xml,<svg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16' version='1.1' aria-hidden='true'><path fill-rule='evenodd' d='M7.775 3.275a.75.75 0 001.06 1.06l1.25-1.25a2 2 0 112.83 2.83l-2.5 2.5a2 2 0 01-2.83 0 .75.75 0 00-1.06 1.06 3.5 3.5 0 004.95 0l2.5-2.5a3.5 3.5 0 00-4.95-4.95l-1.25 1.25zm-4.69 9.64a2 2 0 010-2.83l2.5-2.5a2 2 0 012.83 0 .75.75 0 001.06-1.06 3.5 3.5 0 00-4.95 0l-2.5 2.5a3.5 3.5 0 004.95 4.95l1.25-1.25a.75.75 0 00-1.06-1.06l-1.25 1.25a2 2 0 01-2.83 0z'></path></svg>");
	mask-image: url("data:image/svg+xml,<svg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16' version='1.1' aria-hidden='true'><path fill-rule='evenodd' d='M7.775 3.275a.75.75 0 001.06 1.06l1.25-1.25a2 2 0 112.83 2.83l-2.5 2.5a2 2 0 01-2.83 0 .75.75 0 00-1.06 1.06 3.5 3.5 0 004.95 0l2.5-2.5a3.5 3.5 0 00-4.95-4.95l-1.25 1.25zm-4.69 9.64a2 2 0 010-2.83l2.5-2.5a2 2 0 012.83 0 .75.75 0 001.06-1.06 3.5 3.5 0 00-4.95 0l-2.5 2.5a3.5 3.5 0 004.95 4.95l1.25-1.25a.75.75 0 00-1.06-1.06l-1.25 1.25a2 2 0 01-2.83 0z'></path></svg>");
}

#tt-body-page .fc details,
#tt-body-page .fc figcaption,
#tt-body-page .fc figure {
	display: block;
}

#tt-body-page .fc summary {
	display: list-item;
}

#tt-body-page .fc [hidden] {
	display: none !important;
}

#tt-body-page .fc a {
	background-color: transparent;
	color: var(--color-accent-fg);
	text-decoration: none;
}

#tt-body-page .fc a:active,
#tt-body-page .fc a:hover {
	outline-width: 0;
}

#tt-body-page .fc abbr[title] {
	border-bottom: none;
	text-decoration: underline dotted;
}

#tt-body-page .fc b,
#tt-body-page .fc strong {
	font-weight: 600;
}

#tt-body-page .fc dfn {
	font-style: italic;
}

#tt-body-page .fc h1 {
	margin: .67em 0;
	font-weight: 600;
	padding-bottom: .3em;
	font-size: 2em;
	border-bottom: 1px solid var(--color-border-muted);
}

#tt-body-page .fc mark {
	background-color: var(--color-attention-subtle);
	color: var(--color-text-primary);
}

#tt-body-page .fc small {
	font-size: 90%;
}

#tt-body-page .fc sub,
#tt-body-page .fc sup {
	font-size: 75%;
	line-height: 0;
	position: relative;
	vertical-align: baseline;
}

#tt-body-page .fc sub {
	bottom: -0.25em;
}

#tt-body-page .fc sup {
	top: -0.5em;
}

#tt-body-page .fc img {
	border-style: none;
	max-width: 100%;
	box-sizing: content-box;
	background-color: var(--color-canvas-default);
}

#tt-body-page .fc code,
#tt-body-page .fc kbd,
#tt-body-page .fc pre,
#tt-body-page .fc samp {
	font-family: monospace, monospace;
	font-size: 1em;
}

#tt-body-page .fc figure {
	margin: 1em 40px;
}

#tt-body-page .fc hr {
	box-sizing: content-box;
	overflow: hidden;
	background: transparent;
	border-bottom: 1px solid var(--color-border-muted);
	height: .25em;
	padding: 0;
	margin: 24px 0;
	background-color: var(--color-border-default);
	border: 0;
}

#tt-body-page .fc input {
	font: inherit;
	margin: 0;
	overflow: visible;
	font-family: inherit;
	font-size: inherit;
	line-height: inherit;
}

#tt-body-page .fc [type=button],
#tt-body-page .fc [type=reset],
#tt-body-page .fc [type=submit] {
	-webkit-appearance: button;
}

#tt-body-page .fc [type=button]::-moz-focus-inner,
#tt-body-page .fc [type=reset]::-moz-focus-inner,
#tt-body-page .fc [type=submit]::-moz-focus-inner {
	border-style: none;
	padding: 0;
}

#tt-body-page .fc [type=button]:-moz-focusring,
#tt-body-page .fc [type=reset]:-moz-focusring,
#tt-body-page .fc [type=submit]:-moz-focusring {
	outline: 1px dotted ButtonText;
}

#tt-body-page .fc [type=checkbox],
#tt-body-page .fc [type=radio] {
	box-sizing: border-box;
	padding: 0;
}

#tt-body-page .fc [type=number]::-webkit-inner-spin-button,
#tt-body-page .fc [type=number]::-webkit-outer-spin-button {
	height: auto;
}

#tt-body-page .fc [type=search] {
	-webkit-appearance: textfield;
	outline-offset: -2px;
}

#tt-body-page .fc [type=search]::-webkit-search-cancel-button,
#tt-body-page .fc [type=search]::-webkit-search-decoration {
	-webkit-appearance: none;
}

#tt-body-page .fc ::-webkit-input-placeholder {
	color: inherit;
	opacity: .54;
}

#tt-body-page .fc ::-webkit-file-upload-button {
	-webkit-appearance: button;
	font: inherit;
}

#tt-body-page .fc a:hover {
	text-decoration: underline;
}

#tt-body-page .fc hr::before {
	display: table;
	content: "";
}

#tt-body-page .fc hr::after {
	display: table;
	clear: both;
	content: "";
}

#tt-body-page .fc table {
	border-spacing: 0;
	border-collapse: collapse;
	/* display: block; */
	width: max-content;
	max-width: 100%;
	overflow: auto;
}

#tt-body-page .fc td,
#tt-body-page .fc th {
	padding: 0;
}

#tt-body-page .fc details summary {
	cursor: pointer;
}

#tt-body-page .fc details:not([open])>*:not(summary) {
	display: none !important;
}

#tt-body-page .fc kbd {
	display: inline-block;
	padding: 3px 5px;
	font: 11px ui-monospace, SFMono-Regular, SF Mono, Menlo, Consolas, Liberation Mono, monospace;
	line-height: 10px;
	color: var(--color-fg-default);
	vertical-align: middle;
	background-color: var(--color-canvas-subtle);
	border: solid 1px var(--color-neutral-muted);
	border-bottom-color: var(--color-neutral-muted);
	border-radius: 6px;
	box-shadow: inset 0 -1px 0 var(--color-neutral-muted);
}

#tt-body-page .fc h1,
#tt-body-page .fc h2,
#tt-body-page .fc h3,
#tt-body-page .fc h4,
#tt-body-page .fc h5,
#tt-body-page .fc h6 {
	margin-top: 24px;
	margin-bottom: 16px;
	font-weight: 600;
	line-height: 1.25;
}

#tt-body-page .fc h2 {
	font-weight: 600;
	padding-bottom: .3em;
	font-size: 1.5em;
	border-bottom: 1px solid var(--color-border-muted);
}

#tt-body-page .fc h3 {
	font-weight: 600;
	font-size: 1.25em;
}

#tt-body-page .fc h4 {
	font-weight: 600;
	font-size: 1em;
}

#tt-body-page .fc h5 {
	font-weight: 600;
	font-size: .875em;
}

#tt-body-page .fc h6 {
	font-weight: 600;
	font-size: .85em;
	color: var(--color-fg-muted);
}

#tt-body-page .fc p {
	margin-top: 0;
	margin-bottom: 10px;
}

#tt-body-page #article.fc blockquote {
	text-align: left;
	margin: 0;
	padding: 0 1em;
	font-size: 1em;
	background: none;
	position: relative;
	color: var(--color-fg-muted);
	border-left: .25em solid var(--color-border-default);
}

#tt-body-page #article.fc blockquote::before {
	content: none;
}

#tt-body-page .fc ul,
#tt-body-page .fc ol {
	margin-top: 0;
	margin-bottom: 0;
	padding-left: 2em;
}

#tt-body-page .fc ol ol,
#tt-body-page .fc ul ol {
	list-style-type: lower-roman;
}

#tt-body-page .fc ul ul ol,
#tt-body-page .fc ul ol ol,
#tt-body-page .fc ol ul ol,
#tt-body-page .fc ol ol ol {
	list-style-type: lower-alpha;
}

#tt-body-page .fc dd {
	margin-left: 0;
}

#tt-body-page .fc tt,
#tt-body-page .fc code {
	font-family: ui-monospace, SFMono-Regular, SF Mono, Menlo, Consolas, Liberation Mono, monospace;
	font-size: 12px;
}

#tt-body-page .fc pre {
	margin-top: 0;
	margin-bottom: 0;
	font-family: ui-monospace, SFMono-Regular, SF Mono, Menlo, Consolas, Liberation Mono, monospace;
	font-size: 12px;
	word-wrap: normal;
}

#tt-body-page .fc .octicon {
	display: inline-block;
	overflow: visible !important;
	vertical-align: text-bottom;
	fill: currentColor;
}

#tt-body-page .fc ::placeholder {
	color: var(--color-fg-subtle);
	opacity: 1;
}

#tt-body-page .fc input::-webkit-outer-spin-button,
#tt-body-page .fc input::-webkit-inner-spin-button {
	margin: 0;
	-webkit-appearance: none;
	appearance: none;
}

#tt-body-page .fc .pl-c {
	color: var(--color-prettylights-syntax-comment);
}

#tt-body-page .fc .pl-c1,
#tt-body-page .fc .pl-s .pl-v {
	color: var(--color-prettylights-syntax-constant);
}

#tt-body-page .fc .pl-e,
#tt-body-page .fc .pl-en {
	color: var(--color-prettylights-syntax-entity);
}

#tt-body-page .fc .pl-smi,
#tt-body-page .fc .pl-s .pl-s1 {
	color: var(--color-prettylights-syntax-storage-modifier-import);
}

#tt-body-page .fc .pl-ent {
	color: var(--color-prettylights-syntax-entity-tag);
}

#tt-body-page .fc .pl-k {
	color: var(--color-prettylights-syntax-keyword);
}

#tt-body-page .fc .pl-s,
#tt-body-page .fc .pl-pds,
#tt-body-page .fc .pl-s .pl-pse .pl-s1,
#tt-body-page .fc .pl-sr,
#tt-body-page .fc .pl-sr .pl-cce,
#tt-body-page .fc .pl-sr .pl-sre,
#tt-body-page .fc .pl-sr .pl-sra {
	color: var(--color-prettylights-syntax-string);
}

#tt-body-page .fc .pl-v,
#tt-body-page .fc .pl-smw {
	color: var(--color-prettylights-syntax-variable);
}

#tt-body-page .fc .pl-bu {
	color: var(--color-prettylights-syntax-brackethighlighter-unmatched);
}

#tt-body-page .fc .pl-ii {
	color: var(--color-prettylights-syntax-invalid-illegal-text);
	background-color: var(--color-prettylights-syntax-invalid-illegal-bg);
}

#tt-body-page .fc .pl-c2 {
	color: var(--color-prettylights-syntax-carriage-return-text);
	background-color: var(--color-prettylights-syntax-carriage-return-bg);
}

#tt-body-page .fc .pl-sr .pl-cce {
	font-weight: bold;
	color: var(--color-prettylights-syntax-string-regexp);
}

#tt-body-page .fc .pl-ml {
	color: var(--color-prettylights-syntax-markup-list);
}

#tt-body-page .fc .pl-mh,
#tt-body-page .fc .pl-mh .pl-en,
#tt-body-page .fc .pl-ms {
	font-weight: bold;
	color: var(--color-prettylights-syntax-markup-heading);
}

#tt-body-page .fc .pl-mi {
	font-style: italic;
	color: var(--color-prettylights-syntax-markup-italic);
}

#tt-body-page .fc .pl-mb {
	font-weight: bold;
	color: var(--color-prettylights-syntax-markup-bold);
}

#tt-body-page .fc .pl-md {
	color: var(--color-prettylights-syntax-markup-deleted-text);
	background-color: var(--color-prettylights-syntax-markup-deleted-bg);
}

#tt-body-page .fc .pl-mi1 {
	color: var(--color-prettylights-syntax-markup-inserted-text);
	background-color: var(--color-prettylights-syntax-markup-inserted-bg);
}

#tt-body-page .fc .pl-mc {
	color: var(--color-prettylights-syntax-markup-changed-text);
	background-color: var(--color-prettylights-syntax-markup-changed-bg);
}

#tt-body-page .fc .pl-mi2 {
	color: var(--color-prettylights-syntax-markup-ignored-text);
	background-color: var(--color-prettylights-syntax-markup-ignored-bg);
}

#tt-body-page .fc .pl-mdr {
	font-weight: bold;
	color: var(--color-prettylights-syntax-meta-diff-range);
}

#tt-body-page .fc .pl-ba {
	color: var(--color-prettylights-syntax-brackethighlighter-angle);
}

#tt-body-page .fc .pl-sg {
	color: var(--color-prettylights-syntax-sublimelinter-gutter-mark);
}

#tt-body-page .fc .pl-corl {
	text-decoration: underline;
	color: var(--color-prettylights-syntax-constant-other-reference-link);
}

#tt-body-page .fc [data-catalyst] {
	display: block;
}

#tt-body-page .fc g-emoji {
	font-family: "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol";
	font-size: 1em;
	font-style: normal !important;
	font-weight: 400;
	line-height: 1;
	vertical-align: -0.075em;
}

#tt-body-page .fc g-emoji img {
	width: 1em;
	height: 1em;
}

#tt-body-page .fc::before {
	display: table;
	content: "";
}

#tt-body-page .fc::after {
	display: table;
	clear: both;
	content: "";
}

#tt-body-page .fc>*:first-child {
	margin-top: 0 !important;
}

#tt-body-page .fc>*:last-child {
	margin-bottom: 0 !important;
}

#tt-body-page .fc a:not([href]) {
	color: inherit;
	text-decoration: none;
}

#tt-body-page .fc .absent {
	color: var(--color-danger-fg);
}

#tt-body-page .fc .anchor {
	float: left;
	padding-right: 4px;
	margin-left: -20px;
	line-height: 1;
}

#tt-body-page .fc .anchor:focus {
	outline: none;
}

#tt-body-page .fc p,
#tt-body-page .fc blockquote,
#tt-body-page .fc ul,
#tt-body-page .fc ol,
#tt-body-page .fc dl,
#tt-body-page .fc table,
#tt-body-page .fc pre,
#tt-body-page .fc details {
	margin-top: 0;
	margin-bottom: 16px;
}

#tt-body-page .fc blockquote>:first-child {
	margin-top: 0;
}

#tt-body-page .fc blockquote>:last-child {
	margin-bottom: 0;
}

#tt-body-page .fc sup>a::before {
	content: "[";
}

#tt-body-page .fc sup>a::after {
	content: "]";
}

#tt-body-page .fc h1 .octicon-link,
#tt-body-page .fc h2 .octicon-link,
#tt-body-page .fc h3 .octicon-link,
#tt-body-page .fc h4 .octicon-link,
#tt-body-page .fc h5 .octicon-link,
#tt-body-page .fc h6 .octicon-link {
	color: var(--color-fg-default);
	vertical-align: middle;
	visibility: hidden;
}

#tt-body-page .fc h1:hover .anchor,
#tt-body-page .fc h2:hover .anchor,
#tt-body-page .fc h3:hover .anchor,
#tt-body-page .fc h4:hover .anchor,
#tt-body-page .fc h5:hover .anchor,
#tt-body-page .fc h6:hover .anchor {
	text-decoration: none;
}

#tt-body-page .fc h1:hover .anchor .octicon-link,
#tt-body-page .fc h2:hover .anchor .octicon-link,
#tt-body-page .fc h3:hover .anchor .octicon-link,
#tt-body-page .fc h4:hover .anchor .octicon-link,
#tt-body-page .fc h5:hover .anchor .octicon-link,
#tt-body-page .fc h6:hover .anchor .octicon-link {
	visibility: visible;
}

#tt-body-page .fc h1 tt,
#tt-body-page .fc h1 code,
#tt-body-page .fc h2 tt,
#tt-body-page .fc h2 code,
#tt-body-page .fc h3 tt,
#tt-body-page .fc h3 code,
#tt-body-page .fc h4 tt,
#tt-body-page .fc h4 code,
#tt-body-page .fc h5 tt,
#tt-body-page .fc h5 code,
#tt-body-page .fc h6 tt,
#tt-body-page .fc h6 code {
	padding: 0 .2em;
	font-size: inherit;
}

#tt-body-page .fc ul.no-list,
#tt-body-page .fc ol.no-list {
	padding: 0;
	list-style-type: none;
}

#tt-body-page .fc ol[type="1"] {
	list-style-type: decimal;
}

#tt-body-page .fc ol[type=a] {
	list-style-type: lower-alpha;
}

#tt-body-page .fc ol[type=i] {
	list-style-type: lower-roman;
}

#tt-body-page .fc div>ol:not([type]) {
	list-style-type: decimal;
}

#tt-body-page .fc ul ul,
#tt-body-page .fc ul ol,
#tt-body-page .fc ol ol,
#tt-body-page .fc ol ul {
	margin-top: 0;
	margin-bottom: 0;
}

#tt-body-page .fc li>p {
	margin-top: 16px;
}

#tt-body-page .fc li+li {
	margin-top: .25em;
}

#tt-body-page .fc dl {
	padding: 0;
}

#tt-body-page .fc dl dt {
	padding: 0;
	margin-top: 16px;
	font-size: 1em;
	font-style: italic;
	font-weight: 600;
}

#tt-body-page .fc dl dd {
	padding: 0 16px;
	margin-bottom: 16px;
}

#tt-body-page .fc table th {
	font-weight: 600;
}

#tt-body-page .fc table th,
#tt-body-page .fc table td {
	padding: 6px 13px;
	border: 1px solid var(--color-border-default);
}

#tt-body-page .fc table tr {
	background-color: var(--color-canvas-default);
	border-top: 1px solid var(--color-border-muted);
}

#tt-body-page .fc table tr:nth-child(2n) {
	background-color: var(--color-canvas-subtle);
}

#tt-body-page .fc table img {
	background-color: transparent;
}

#tt-body-page .fc img[align=right] {
	padding-left: 20px;
}

#tt-body-page .fc img[align=left] {
	padding-right: 20px;
}

#tt-body-page .fc .emoji {
	max-width: none;
	vertical-align: text-top;
	background-color: transparent;
}

#tt-body-page .fc span.frame {
	display: block;
	overflow: hidden;
}

#tt-body-page .fc span.frame>span {
	display: block;
	float: left;
	width: auto;
	padding: 7px;
	margin: 13px 0 0;
	overflow: hidden;
	border: 1px solid var(--color-border-default);
}

#tt-body-page .fc span.frame span img {
	display: block;
	float: left;
}

#tt-body-page .fc span.frame span span {
	display: block;
	padding: 5px 0 0;
	clear: both;
	color: var(--color-fg-default);
}

#tt-body-page .fc span.align-center {
	display: block;
	overflow: hidden;
	clear: both;
}

#tt-body-page .fc span.align-center>span {
	display: block;
	margin: 13px auto 0;
	overflow: hidden;
	text-align: center;
}

#tt-body-page .fc span.align-center span img {
	margin: 0 auto;
	text-align: center;
}

#tt-body-page .fc span.align-right {
	display: block;
	overflow: hidden;
	clear: both;
}

#tt-body-page .fc span.align-right>span {
	display: block;
	margin: 13px 0 0;
	overflow: hidden;
	text-align: right;
}

#tt-body-page .fc span.align-right span img {
	margin: 0;
	text-align: right;
}

#tt-body-page .fc span.float-left {
	display: block;
	float: left;
	margin-right: 13px;
	overflow: hidden;
}

#tt-body-page .fc span.float-left span {
	margin: 13px 0 0;
}

#tt-body-page .fc span.float-right {
	display: block;
	float: right;
	margin-left: 13px;
	overflow: hidden;
}

#tt-body-page .fc span.float-right>span {
	display: block;
	margin: 13px auto 0;
	overflow: hidden;
	text-align: right;
}

#tt-body-page .fc code,
#tt-body-page .fc tt {
	padding: .2em .4em;
	margin: 0;
	font-size: 85%;
	background-color: var(--color-neutral-muted);
	border-radius: 6px;
}

#tt-body-page .fc code br,
#tt-body-page .fc tt br {
	display: none;
}

#tt-body-page .fc del code {
	text-decoration: inherit;
}

#tt-body-page .fc pre code {
	font-size: 100%;
}

#tt-body-page .fc pre>code {
	padding: 0;
	margin: 0;
	word-break: normal;
	white-space: pre;
	background: transparent;
	border: 0;
}

#tt-body-page .fc .highlight {
	margin-bottom: 16px;
}

#tt-body-page .fc .highlight pre {
	margin-bottom: 0;
	word-break: normal;
}

#tt-body-page .fc .highlight pre,
#tt-body-page .fc pre {
	padding: 2px;
	overflow: auto;
	font-size: 85%;
	line-height: 1.45;
	background-color: var(--color-canvas-subtle);
	border-radius: 6px;
}

#tt-body-page .fc pre code,
#tt-body-page .fc pre tt {
	display: inline;
	max-width: auto;
	padding: 0;
	margin: 0;
	overflow: visible;
	line-height: inherit;
	word-wrap: normal;
	background-color: transparent;
	border: 0;
}

#tt-body-page .fc .csv-data td,
#tt-body-page .fc .csv-data th {
	padding: 5px;
	overflow: hidden;
	font-size: 12px;
	line-height: 1;
	text-align: left;
	white-space: nowrap;
}

#tt-body-page .fc .csv-data .blob-num {
	padding: 10px 8px 9px;
	text-align: right;
	background: var(--color-canvas-default);
	border: 0;
}

#tt-body-page .fc .csv-data tr {
	border-top: 0;
}

#tt-body-page .fc .csv-data th {
	font-weight: 600;
	background: var(--color-canvas-subtle);
	border-top: 0;
}

#tt-body-page .fc .footnotes {
	font-size: 12px;
	color: var(--color-fg-muted);
	border-top: 1px solid var(--color-border-default);
}

#tt-body-page .fc .footnotes ol {
	padding-left: 16px;
}

#tt-body-page .fc .footnotes li {
	position: relative;
}

#tt-body-page .fc .footnotes li:target::before {
	position: absolute;
	top: -8px;
	right: -8px;
	bottom: -8px;
	left: -24px;
	pointer-events: none;
	content: "";
	border: 2px solid var(--color-accent-emphasis);
	border-radius: 6px;
}

#tt-body-page .fc .footnotes li:target {
	color: var(--color-fg-default);
}

#tt-body-page .fc .footnotes .data-footnote-backref g-emoji {
	font-family: monospace;
}

#tt-body-page .fc .task-list-item {
	list-style-type: none;
}

#tt-body-page .fc .task-list-item label {
	font-weight: 400;
}

#tt-body-page .fc .task-list-item.enabled label {
	cursor: pointer;
}

#tt-body-page .fc .task-list-item+.task-list-item {
	margin-top: 3px;
}

#tt-body-page .fc .task-list-item .handle {
	display: none;
}

#tt-body-page .fc .task-list-item-checkbox {
	margin: 0 .2em .25em -1.6em;
	vertical-align: middle;
}

#tt-body-page .fc .contains-task-list:dir(rtl) .task-list-item-checkbox {
	margin: 0 -1.6em .25em .2em;
}

#tt-body-page .fc ::-webkit-calendar-picker-indicator {
	filter: invert(50%);
}

#article.fc.hljs-line pre.procode-wrap>code>table>tbody>tr:first-child td {
	padding-top: 10px;
}

#article.fc.hljs-line pre.procode-wrap>code>table>tbody>tr:last-child td {
	padding-bottom: 10px;
}

#tt-body-page .fc pre.procode-wrap>code>table>tbody tr {
	background-color: #403f3f;
}

#article.fc.hljs-line div.table-content table {
	width: 100%;
	table-layout: fixed;
}

#article.fc.hljs-line div.table-content>div>table>thead tr {
	background-color: #55555520;
	width: 100%;
}

/* #article.fc.hljs-line.hljs-stripe pre.procode-wrap>code.coffeescript>table>tbody tr:nth-child(even) {
	background-color: #484848;
} */

#article.fc.hljs-line.hljs-stripe pre.procode-wrap code.hljs {
	background-color: #484848;
}

html.day .page-stroke.article-stroke {
	border-bottom-color: #f4f4f400 !important;
}